Bug 1962563 - [RFE] Use nmstate for source routing
Summary: [RFE] Use nmstate for source routing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.40.60.7
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.4.8
: ---
Assignee: Ales Musil
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1962551 1972636 1979933
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-20 09:34 UTC by Ales Musil
Modified: 2021-11-04 19:28 UTC (History)
3 users (show)

Fixed In Version: vdsm-4.40.80.2
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-19 06:23:08 UTC
oVirt Team: Network
mperina: ovirt-4.4?
pm-rhel: planning_ack?
mperina: devel_ack+
mburman: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 114812 0 master MERGED net: Hide some details of state generating behind NetworkingState 2021-05-27 09:52:04 UTC
oVirt gerrit 114859 0 master MERGED net: Introduce new CurrentState class 2021-05-27 09:52:03 UTC
oVirt gerrit 114860 0 master MERGED net: Generalize Route class in preparation for source routes 2021-05-27 09:52:10 UTC
oVirt gerrit 114861 0 master MERGED net: Add initial support for nmstate source routing 2021-05-27 09:52:13 UTC
oVirt gerrit 114862 0 master MERGED net: Use nmstate for static source routing 2021-07-21 13:18:04 UTC
oVirt gerrit 114863 0 master MERGED net: Use nmstate for dynamic source routing 2021-07-21 13:18:08 UTC

Description Ales Musil 2021-05-20 09:34:19 UTC
Description of problem:
Use nmstate for source routing instead of the direct iproute2 usage.

Comment 6 Michael Burman 2021-08-04 07:01:39 UTC
Verified on - vdsm-4.40.80.3-1.el8ev.x86_64 with:

nmstate-1.0.2-14.el8_4.noarch
NetworkManager-1.30.0-10.el8_4.x86_64
rhvm-4.4.8.2-0.11.el8ev.noarch

Comment 7 Sandro Bonazzola 2021-08-19 06:23:08 UTC
This bugzilla is included in oVirt 4.4.8 release, published on August 19th 2021.

Since the problem described in this bug report should be resolved in oVirt 4.4.8 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.